Name:           hills
Version:        2.0.1
Release:        1%{?dist}
Summary:        Gently drift over rolling grassy hills
Group:          Amusement/Graphics
License:        GPL
URL:            http://www.loria.fr/~rougier/software/hills/
Source0:        http://www.loria.fr/~rougier/software/hills/hills-2.0.1.tar.gz
Patch0:         fixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libstdc++-devel, SDL_image-devel, libGLU-devel
Requires:       libstdc++, SDL_image, libGLU, gnome-screensaver

%description
A screensaver where you gently drift over rolling grassy hills, using
ARB multitexture, heightmap and lightmap. It requires SDL and OpenGL
and should work with xscreensaver and gnome-screensaver.

%prep
%setup -q
%patch0 -p0 -b .fix

%build
%configure --with-gnome-hackdir=%{_libexecdir}/gnome-screensaver
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/hills
%{_libexecdir}/gnome-screensaver/hills
%{_datadir}/gnome-screensaver/themes/hills.desktop
%{_datadir}/hills/grass.jpg
%{_datadir}/hills/heightmap.png
%{_datadir}/hills/lightmap.png
# Ignore these directories
%ghost %{_libdir}/xscreensaver
%ghost %{_datadir}/xscreensaver
