/* 
 * Copyright (c) 2005-2006 Nicolas Rougier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this software; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _CANVAS_GLX_H
#define _CANVAS_GLX_H

#include <GL/glx.h>
#include "canvas.h"


class CanvasGLX : public Canvas {
 public:
    Window		window;
    Display *	display;
    int			screen;
    Window		window_id;

 public:
    CanvasGLX (Scene *scene_, bool fullscreen_, int fps_, Window wid);
    ~CanvasGLX (void);

    int   init (void);
    void  resize (void);
    void  render (float dt);
    int   process_events (void);
};

#endif
